package cn.sh.stc.sict.theme.hpgp.vo;

import cn.sh.stc.sict.cloud.common.core.util.NumberUtil;
import cn.sh.stc.sict.theme.hpgp.model.HpgpBusyIdlePrediction;
import lombok.Data;

@Data
public class DeptPredictionVO extends HpgpBusyIdlePrediction {
    private Integer reserveOrderNum;
    private Integer remainNum;

    // 可用号源 / 号源
    // >=0.5    0- 闲 -绿色
    // 0.2-0.5  1-忙碌-黄色
    // <=0.2    2-非常忙碌-红色
    // 无号院    -1 灰色
    public void setScoreByNum() {
        if (NumberUtil.isNotNullOrZero(this.reserveOrderNum)) {
            double roate = this.remainNum * 1.0 / this.reserveOrderNum;
            if (roate >= 0.5) {
                this.setScore(0);
            } else if (roate > 0.2 && roate < 0.5) {
                this.setScore(1);
            } else {
                this.setScore(2);
            }
        } else {
            this.setScore(-1);
        }
    }
}
